Your message dated Sun, 08 Apr 2018 21:20:21 +0000
with message-id <e1f5hjz-000ine...@fasolo.debian.org>
and subject line Bug#572727: fixed in apcupsd 3.14.14-2
has caused the Debian Bug report #572727,
regarding Fails If / is Read-Only
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
572727: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=572727
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: apcupsd
Version: 3.14.4-1lenny1

The subject line tells the story. The scripts with apcupsd all assume
they can write to /etc/apcupsd/powerfail, which only works if / is
mounted read-write.


Two solutions jump to mind:
First solution, `init` has powerfail/powerok states; if that state is
passed to invoked scripts, then that can be used to decide whether an
attached UPS should powerdown or not.

Second solution, it might be better to tell init to change to state 6
(reboot), rather than 0 (halt) in case of power failure. This seems a
better description of a power failure situation, the system will try to
reboot ASAP, not the system is going down while someone plays with
hardware. In this case, whenever the system is rebooted, the driver for
the UPS would tell the UPS to power down if AC power is absent (or
batteries are too far depleted due to power restoration between reboot
request and calling the driver).


I'm wondering if #492094 is a similar situation?


-- 
(\___(\___(\______          --=> 8-) EHM <=--          ______/)___/)___/)
 \BS (    |         e...@gremlin.m5p.com PGP F6B23DE0         |    )   /
  \_CS\   |  _____  -O #include <stddisclaimer.h> O-   _____  |   /  _/
2477\___\_|_/DC21 03A0 5D61 985B <-PGP-> F2BE 6526 ABD2 F6B2\_|_/___/3DE0





--- End Message ---
--- Begin Message ---
Source: apcupsd
Source-Version: 3.14.14-2

We believe that the bug you reported is fixed in the latest version of
apcupsd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thorsten Alteholz <deb...@alteholz.de> (supplier of updated apcupsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 25 Mar 2018 19:14:07 +0100
Source: apcupsd
Binary: apcupsd apcupsd-cgi apcupsd-doc
Architecture: source amd64 all
Version: 3.14.14-2
Distribution: sid
Urgency: medium
Maintainer: Thorsten Alteholz <deb...@alteholz.de>
Changed-By: Thorsten Alteholz <deb...@alteholz.de>
Description:
 apcupsd    - APC UPS Power Management (daemon)
 apcupsd-cgi - APC UPS Power Management (web interface)
 apcupsd-doc - APC UPS Power Management (documentation/examples)
Closes: 541660 572727 576703 878209 885820 889670 892950
Changes:
 apcupsd (3.14.14-2) unstable; urgency=medium
 .
   * debian/control: bump standard to 4.1.4 (no changes)
   * debian/control: use dh11 (mostly)
   * debian/control: add salsa VCS URLs
   * debian/control: remove dependency for dh-systemd
   * debian/control: use prio optional
   * debian/control: remove dependency for python-imaging (Closes: #892950)
                     (dependency does not seem to be needed anymore)
   * debian/local/*: replace /etc/apcupsd/powerfail by file created
                     with PWRFAILDIR from config
                     (Closes: #541660, #572727, #576703)
   * debian/copyright: use https in URL
   * debian/control: drop dependency on libgconf2-dev (Closes: #885820)
   * debian/control: drop dependency on libgtk2.0-dev again
   * debian/rules: do not build with --enable-gapcmon
                   Unfortunately gconf2 shall be removed from Debian.
                   Upstream needs to move from gconf to gsettings.
                   As long as this did not happen, we can not build
                   the frontend any longer. (Closes: #889670, #878209)
Checksums-Sha1:
 82d5109360483c7c75e6172f63a5efe2849f8919 2270 apcupsd_3.14.14-2.dsc
 ba3afa49d9f14c584b5a14417dbf60a500c1462a 1816338 apcupsd_3.14.14.orig.tar.gz
 424b09f9db3395bee576b7007eb44777dd4203e3 20480 apcupsd_3.14.14-2.debian.tar.xz
 98c828eed3c918df0fd8ceed0e7c7272f9ae4ee8 243928 
apcupsd-cgi-dbgsym_3.14.14-2_amd64.deb
 b361662acaf3d7b4d2758791d7951cdd9af01d8f 94260 apcupsd-cgi_3.14.14-2_amd64.deb
 d792e4ad19465e591a5cf5c5db187489c7d16593 964504 
apcupsd-dbgsym_3.14.14-2_amd64.deb
 39e4f542b5634fec9850fd9237a07e1b7e2ab642 650876 apcupsd-doc_3.14.14-2_all.deb
 7b2ed3cd75282a28cc7533f326d5fab7be0059a0 9667 apcupsd_3.14.14-2_amd64.buildinfo
 3763c0fe27c6e8b6f557eb06a6af324c7e351afd 264372 apcupsd_3.14.14-2_amd64.deb
Checksums-Sha256:
 ab9895e1291d9e270969c3c48dc106dccb1f4c057b2229b6c992be5b33316993 2270 
apcupsd_3.14.14-2.dsc
 37a266d5dc3240227ff2f8d02fdf608a48d82f90665931ea315558b96f23b1ec 1816338 
apcupsd_3.14.14.orig.tar.gz
 ca44d511103ac8c0c26f5a10e54547474fe24a7112fc76166f05c2e395a9d67e 20480 
apcupsd_3.14.14-2.debian.tar.xz
 acf4f141c2a92ee9b37097c9c667cc55044ee82429afc82aae49c0cfc24a76c6 243928 
apcupsd-cgi-dbgsym_3.14.14-2_amd64.deb
 2729f1db121568fa88565b874ee1e0e589552fe1c1a3d2fdc0c08eecce7d08be 94260 
apcupsd-cgi_3.14.14-2_amd64.deb
 462819bc2101a001e9f2a2d22282cbe49caab60382817377703253ff1b5325da 964504 
apcupsd-dbgsym_3.14.14-2_amd64.deb
 7f99f285d5e8ef87b0248df319415b5fb432636f50ee62063f835d4802b912f3 650876 
apcupsd-doc_3.14.14-2_all.deb
 76b1f8845b9dfb188964b29b0cc4e3c713f849314fa4f01160212fb6e2ac99f5 9667 
apcupsd_3.14.14-2_amd64.buildinfo
 633c777861c30bc2c9de9fb27b2941fd815465a68ac54c259c19b773db89fbf7 264372 
apcupsd_3.14.14-2_amd64.deb
Files:
 29084256a9fcab57199e3a5201de107a 2270 admin optional apcupsd_3.14.14-2.dsc
 5de10452caccfdab87b2f262bbcf046e 1816338 admin optional 
apcupsd_3.14.14.orig.tar.gz
 bda836aaac1c2c91407b785d4ea93a8f 20480 admin optional 
apcupsd_3.14.14-2.debian.tar.xz
 5816a0a3e47c2d5b4c042fad5c720af0 243928 debug optional 
apcupsd-cgi-dbgsym_3.14.14-2_amd64.deb
 d7d75710d22ba69bec9782233312bf8d 94260 web optional 
apcupsd-cgi_3.14.14-2_amd64.deb
 74bc565c1b41811231e47cf6e9f9719b 964504 debug optional 
apcupsd-dbgsym_3.14.14-2_amd64.deb
 1037a401fe740e5e51257a9bcf501f97 650876 doc optional 
apcupsd-doc_3.14.14-2_all.deb
 fc0d7ffcdc2a69db8b06c972dfe38282 9667 admin optional 
apcupsd_3.14.14-2_amd64.buildinfo
 cb483fd73d6693d01e373cc3b51ff5f6 264372 admin optional 
apcupsd_3.14.14-2_amd64.deb

-----BEGIN PGP SIGNATURE-----

iQKnBAEBCgCRFiEEYgH7/9u94Hgi6ruWlvysDTh7WEcFAlrKdL5fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDYy
MDFGQkZGREJCREUwNzgyMkVBQkI5Njk2RkNBQzBEMzg3QjU4NDcTHGRlYmlhbkBh
bHRlaG9sei5kZQAKCRCW/KwNOHtYRwo0D/9B6aZ0oQxWP+nYivucMjZIm8nrSCCT
plGHQpl0njQpLobMFzxKrq/nc5cmYx6EJl+om1X98WIc09ZYVrRpleFwFkXOMsQp
mxDSpPpuSOlGYwkI+g9C9TRnMctcsgSL+/K0Tb13eszIHWbe/NwUT8FBwaDJwJmu
vu43bACpOou1aHbmdaIEMaoNinSTwhxfVoi7udj5v/7sAkJbwKW0PxkBlBL1Gb99
d5PrfidjF4EyjQi4DCzIv3Q+fOGwjw3qTRFClcHSOe4MDrGslmuVOwa945r70wrM
2hXS1s/H7w14ryicBRTzcqF+WKRNqNBohwWNbBf5iAfLL246U1+QSfOGUuxcLnH/
hrueXeaPvi0AhPVzDS1MYrN4tyTVpX45g0KFaWp1tUweL6O1u/4BE1sVvPC0abu8
RRCIRpx8jNa9sbAe8cx+AFHFhZH5BpYBHlZV3K7LySNnjGZoOaAMo8p29k1GMiai
0QQm15ZN4hW7iJ1yzu5KWDXVxDscjXR0kPMJvjhUEwcFK2SoS4O7ZQ9qXbC369kg
g0g25XPsCk3CdBRLzeg4rSLuBl8BrGV58rsgX8tBsVZj9+/wlZ8rew44kkTWqANY
1JqyHkNzcJuS7ln9NyKEuYrZx45SHhCbsqhe18aOtwMCOz2APuYtpbeBHXRPGcln
o+v4Gd65geo32Q==
=JJAP
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to